Page MenuHomePhabricator

Requesting access to 'analytics-privatedata-users' and 'researchers' for Erin Yener
Closed, ResolvedPublicSpike

Description

Hello - I am the new Senior Data Strategist with the Fundraising team.

I am requesting access to 'analytics-privatedata-users' and 'researchers' groups in order to query banner / pageview data. Please see original task here: https://phabricator.wikimedia.org/T233636

Wikitech account: Erin Yener
Manager: @jrobell
Employment status: Full term contractor
SSH public key: ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBLrqCmWRtknGqk3RLECTbNP0QY/oIOImBi22qhDdqoz eyener@Erins-MacBook-Pro.local

Event Timeline

EYener created this task.Oct 3 2019, 12:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 3 2019, 12:42 PM

Hey all,

An Advancement team member is sick, and out of communication due to an unforeseen event for an extended period of time. We really need @EYener and @jkumalah to get access to continue support current campaigns. Any expediting would be greatly appreciated. Thanks!

Thank you David. Anything that can be done to expedite this process would be most helpful. For clarity, we first asked for this access 10 days ago in a separate task [https://phabricator.wikimedia.org/T233636].

Thank you for everyone's support getting this done!

jrobell added a subscriber: Nuria.Oct 10 2019, 2:52 PM

Hi all, Any news on this task? We'd highly appreciate your support to get Erin and Jerrie access as soon as possible as there are certain crucial reports that we need to run at this time of the year that we can't run without this access. @Nuria - anything you can do to speed things up would be much appreciated.

Thank you!

herron added a subscriber: herron.Oct 10 2019, 3:16 PM

@EYener in the task description it looks like the ssh key fingerprint was provided, instead of the ssh public key itself. Could you please update with your ssh public key? It should begin with "ssh-ed25519" or "ssh-rsa" . Thanks in advance!

Hi @herron thanks for the ping. Please let me know if this is what you need:

ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBLrqCmWRtknGqk3RLECTbNP0QY/oIOImBi22qhDdqoz eyener@Erins-MacBook-Pro.local

Thanks for your help moving this forward @herron. would it be possible to get on a call or chat with @EYener and @jkumalah to make sure they have the access they need so we can close this task? Thank you!

herron updated the task description. (Show Details)Oct 11 2019, 5:18 PM

Change 542599 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] admin: add eyener to researchers, analytics-privatedata-users

https://gerrit.wikimedia.org/r/542599

Hi @Nuria could you please review this group request for approval?

Regarding chat I'd encourage them to reach out with any questions via IRC. Details about available channels and their associated topics can be fount at https://meta.wikimedia.org/wiki/IRC/Channels

jijiki triaged this task as Medium priority.Oct 14 2019, 2:35 PM

Hi @Nuria and team, is there anything needed from my end on this ticket?

Approved on my end.

@jrobell if the future to do this more smoothly I recommend the users that need access file the ticket themselves, one ticket per each. The supervisor can include on ticket end date for contracts so we know in what dat access should finish.

In order for you to plan on your end you should take into account that this process takes ad minimum 3 days and includes verification of employment or filing of nda. If users are not familiar with ssh or similar the best way to expedite is to get in touch with a developer on fundraising that can assist them in setting up ssh keys.

I think once change above gets merged @EYener should have access to both data and tools.

Thank you @Nuria

Duly noted regarding creating separate tickets for individual users as well as the timeline of three days. I'd love to discuss how we work together to streamline the process for onboarding new analytics contractors and I know @DStrine was interested in talking about this as well, as it applies to engineers. I am mainly on leave in Q2, but will find a time to talk in early Q3 if that sounds good to you.

Thank you

Nuria added a comment.Oct 15 2019, 3:07 PM

Sounds great, I understand this might have been frustrated cause it took a long time. Note that the first request to create separate tickets for each users was made on September 24th Please see: T233636: Banner History and page view data access for fundraising analysts - Jerrie and Erin . The tickets per user got created on October 4th. There are couple things that can be improved on this process, this is probably an easy one to start doing.

Hi @Nuria is there anything I need to do on my end at this point, or should I wait for the mentioned merge to happen?

Nuria added a comment.Oct 15 2019, 5:23 PM

@EYener nothing for you to do @herron needs to merge the patch

Change 542599 merged by Herron:
[operations/puppet@production] admin: add eyener to researchers, analytics-privatedata-users

https://gerrit.wikimedia.org/r/542599

herron closed this task as Resolved.Oct 16 2019, 2:54 PM
herron claimed this task.

The requested group memberships have been provisioned. I'll transition this to resolved now, but please don't hesitate to re-open if any follow up is necessary. Thanks!